package java.awt.peer;

import java.awt.Dialog;

public interface WindowPeer extends ContainerPeer
{
    public abstract void toFront();
    
    public abstract void toBack();
    
    public abstract void updateAlwaysOnTopState();
    
    public abstract void updateFocusableWindowState();
    
    public abstract void setModalBlocked(Dialog p0, boolean p1);
    
    public abstract void updateMinimumSize();
    
    public abstract void updateIconImages();
    
    public abstract void setOpacity(float p0);
    
    public abstract void setOpaque(boolean p0);
    
    public abstract void updateWindow();
    
    public abstract void repositionSecurityWarning();
}
